# Get 'ContractCancellationPosition'

Endpoint: GET /contracts/contractcancellationposition/{pk}/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Path parameters:

  - `pk` (string, required)

## Response 200 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `apartment_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`

  - `apartment_contract.id` (string)

  - `industrial_premises_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`

  - `industrial_premises_contract.id` (string)

  - `outdoorsection_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `parkingspot_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `parkingspot_contract`, `block_contract`, `other_contract`

  - `outdoorsection_contract.id` (string)

  - `parkingspot_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `block_contract`, `other_contract`

  - `parkingspot_contract.id` (string)

  - `block_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `other_contract`

  - `block_contract.id` (string)

  - `other_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`

  - `other_contract.id` (string)

  - `affects_sub_contracts` (boolean, required)

  - `tenant` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `organization_user`
This field, or at least one of the following fields must be set: `organization_user`

  - `tenant.id` (string)

  - `organization_user` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `resign`, `tenant`
This field, or at least one of the following fields must be set: `tenant`

  - `organization_user.id` (string)

  - `initiating_position` (object, required)

  - `initiating_position.id` (string)

  - `issued_by_admin_on_behalf_of_party` (boolean, required)

  - `issued_by_admin_attachment` (object)

  - `issued_by_admin_attachment.name` (string)
    wanted filename of the file

  - `issued_by_admin_attachment.md5_hash` (string)
    base64 encoded md5hash of the file

  - `issued_by_admin_attachment.get` (string)

  - `issued_by_admin_attachment.post` (object)

  - `issued_by_admin_attachment.post.url` (string)

  - `part_resignation` (boolean, required)

  - `transfer_request` (boolean, required)

  - `transition_approved` (boolean)

  - `termination` (boolean, required)

  - `is_preliminary` (boolean, required)

  - `resign` (boolean)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `organization_user`

  - `transfer_to_external_party` (boolean, required)

  - `external_party` (object)

  - `external_party.id` (string)

  - `message` (string)

  - `cancellation_time` (string)

  - `cancellation_reason` (string)

  - `cancellation_source` (integer)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Pigello Tenant Portal
* `1` - Phone
* `2` - Email
* `3` - Postal
* `4` - Meeting
* `5` - Chat
* `6` - Integration
    Enum: 0, 1, 2, 3, 4, 5, 6

  - `cancellation_signed_time` (string)

  - `cancelled_by_counterpart` (boolean)

  - `lifetime_end_date` (string)

  - `closed` (boolean, required)

  - `transfer_date` (string)

  - `transfer_notation` (object, required)

  - `transfer_notation.id` (string)

  - `read` (boolean, required)

  - `status` (integer, required)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Aborted
* `1` - Closed
* `2` - Pending Answer
* `3` - Pending Approval
* `4` - Pending Signing
    Enum: 0, 1, 2, 3, 4

  - `pending_monitor_approval_amount` (any)

